Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1235 - There has been a security exploit reported against LSOF
Summary: There has been a security exploit reported against LSOF
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lsof
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-18 23:27 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-19 16:04:30 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-02-18 23:27:09 UTC
BUGTRAQ has recently carried a report of a security
exploit against all current versions of LSOF up to and
including 4.40. Vic Abell, the author of LSOF, has
released a patch for it, in (email) message-id
	<001001be5b37$b7e6aeb0$aa87d280@vic2.cc.purdue.edu>
on BUGTRAQ (with the subject 'Re: [HERT] Advisory #002
Buffer overflow in lsof'); the patch itself is at
ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/patches/4.40/arg.c.patch
(for lsof 4.40, clearly).
The original report of the problem was message-id
<19990218013035.B4950@red.blood.int> on BUGTRAQ and is
available at
	http://www.hert.org/advisories/HERT-02.asc
although it doesn't give any details.

(hopefully Bugzilla will preserve the angle brackets in
those message-ids)

Comment 1 Bill Nottingham 1999-02-19 00:52:59 UTC
/dev/kmem under Linux is read-only, so it is not
vulnerable to a root compromise.

Comment 2 Chris Siebenmann 1999-02-19 08:27:59 UTC
It's not clear to me if read access to kmem (apparently obtainable
through the lsof exploit on RedHat 5.2, since lsof is setgid kmem
and /dev/kmem is group-readable for kmem) can be used to do evil
things. RedHat might want to look into the situation and make a
statement one way or another. (Or it might be simpler and less time
consuming to just release new lsof RPMs built from 4.40 + Vic's
patch.)

Comment 3 Jeff Johnson 1999-02-19 16:04:59 UTC
The immediate fix is
	chmod g-s /usr/sbin/lsof
An updated errata of lsof-4.40 with Vic Abel's patch will be issued
shortly.


Note You need to log in before you can comment on or make changes to this bug.